import type { Key } from './Key';
export declare class CryptoBox {
    static randomNonce(): Uint8Array;
    static cryptoBox({ recipientKey, senderKey, message, nonce, }: {
        recipientKey: Key;
        senderKey: Key;
        message: Uint8Array;
        nonce: Uint8Array;
    }): Uint8Array;
    static open({ recipientKey, senderKey, message, nonce, }: {
        recipientKey: Key;
        senderKey: Key;
        message: Uint8Array;
        nonce: Uint8Array;
    }): Uint8Array;
    static seal({ recipientKey, message }: {
        recipientKey: Key;
        message: Uint8Array;
    }): Uint8Array;
    static sealOpen({ recipientKey, ciphertext }: {
        recipientKey: Key;
        ciphertext: Uint8Array;
    }): Uint8Array;
}
