"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CryptoBox = void 0;
const askar_1 = require("../askar");
class CryptoBox {
    static randomNonce() {
        return askar_1.askar.keyCryptoBoxRandomNonce();
    }
    static cryptoBox({ recipientKey, senderKey, message, nonce, }) {
        return askar_1.askar.keyCryptoBox({ nonce, message, senderKey, recipientKey });
    }
    static open({ recipientKey, senderKey, message, nonce, }) {
        return askar_1.askar.keyCryptoBoxOpen({ nonce, message, senderKey, recipientKey });
    }
    static seal({ recipientKey, message }) {
        return askar_1.askar.keyCryptoBoxSeal({ message, localKeyHandle: recipientKey.handle });
    }
    static sealOpen({ recipientKey, ciphertext }) {
        return askar_1.askar.keyCryptoBoxSealOpen({ ciphertext, localKeyHandle: recipientKey.handle });
    }
}
exports.CryptoBox = CryptoBox;
//# sourceMappingURL=CryptoBox.js.map