import type { KeyAlgorithm } from '../enums';
import { Key } from './Key';
export declare class Ecdh1PU {
    private algId;
    private apu;
    private apv;
    constructor({ apv, apu, algId }: {
        algId: Uint8Array;
        apu: Uint8Array;
        apv: Uint8Array;
    });
    deriveKey({ encryptionAlgorithm, ephemeralKey, recipientKey, senderKey, receive, ccTag, }: {
        encryptionAlgorithm: KeyAlgorithm;
        ephemeralKey: Key;
        recipientKey: Key;
        senderKey: Key;
        receive: boolean;
        ccTag?: Uint8Array;
    }): Key;
    encryptDirect({ encryptionAlgorithm, recipientKey, ephemeralKey, senderKey, message, aad, nonce, }: {
        encryptionAlgorithm: KeyAlgorithm;
        ephemeralKey: Key;
        recipientKey: Key;
        senderKey: Key;
        message: Uint8Array;
        aad?: Uint8Array;
        nonce?: Uint8Array;
    }): import("./EncryptedBuffer").EncryptedBuffer;
    decryptDirect({ nonce, encryptionAlgorithm, recipientKey, ephemeralKey, senderKey, ciphertext, tag, aad, }: {
        encryptionAlgorithm: KeyAlgorithm;
        ephemeralKey: Key;
        recipientKey: Key;
        senderKey: Key;
        ciphertext: Uint8Array;
        nonce: Uint8Array;
        tag: Uint8Array;
        aad?: Uint8Array;
    }): Uint8Array;
    senderWrapKey({ keyWrappingAlgorithm, ephemeralKey, recipientKey, senderKey, cek, ccTag, }: {
        keyWrappingAlgorithm: KeyAlgorithm;
        ephemeralKey: Key;
        recipientKey: Key;
        senderKey: Key;
        cek: Key;
        ccTag: Uint8Array;
    }): import("./EncryptedBuffer").EncryptedBuffer;
    receiverUnwrapKey({ keyWrappingAlgorithm, encryptionAlgorithm, recipientKey, ephemeralKey, senderKey, ciphertext, nonce, tag, ccTag, }: {
        keyWrappingAlgorithm: KeyAlgorithm;
        encryptionAlgorithm: KeyAlgorithm;
        ephemeralKey: Key;
        recipientKey: Key;
        senderKey: Key;
        ciphertext: Uint8Array;
        nonce?: Uint8Array;
        tag?: Uint8Array;
        ccTag: Uint8Array;
    }): Key;
}
