import type { KeyAlgorithm } from '../enums';
import { Jwk } from './Jwk';
import { Key } from './Key';
export declare class EcdhEs {
    private algId;
    private apu;
    private apv;
    constructor({ apv, apu, algId }: {
        algId: Uint8Array;
        apu: Uint8Array;
        apv: Uint8Array;
    });
    private deriveKey;
    encryptDirect({ encryptionAlgorithm, recipientKey, ephemeralKey, message, aad, nonce, }: {
        encryptionAlgorithm: KeyAlgorithm;
        ephemeralKey: Key | Jwk;
        recipientKey: Key | Jwk;
        message: Uint8Array;
        aad?: Uint8Array;
        nonce?: Uint8Array;
    }): import("./EncryptedBuffer").EncryptedBuffer;
    decryptDirect({ nonce, encryptionAlgorithm, recipientKey, ciphertext, ephemeralKey, tag, aad, }: {
        encryptionAlgorithm: KeyAlgorithm;
        ephemeralKey: Key | Jwk;
        recipientKey: Key | Jwk;
        ciphertext: Uint8Array;
        nonce: Uint8Array;
        tag: Uint8Array;
        aad?: Uint8Array;
    }): Uint8Array;
    senderWrapKey({ keyWrappingAlgorithm, ephemeralKey, recipientKey, cek, }: {
        keyWrappingAlgorithm: KeyAlgorithm;
        ephemeralKey: Key;
        recipientKey: Key;
        cek: Key;
    }): import("./EncryptedBuffer").EncryptedBuffer;
    receiverUnwrapKey({ recipientKey, keyWrappingAlgorithm, ephemeralKey, encryptionAlgorithm, ciphertext, nonce, tag, }: {
        keyWrappingAlgorithm: KeyAlgorithm;
        encryptionAlgorithm: KeyAlgorithm;
        ephemeralKey: Key;
        recipientKey: Key;
        ciphertext: Uint8Array;
        nonce?: Uint8Array;
        tag?: Uint8Array;
    }): Key;
}
