"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Jwk = void 0;
const buffer_1 = require("buffer");
class Jwk {
    constructor({ kty, crv, x, d, y }) {
        this.kty = kty;
        this.crv = crv;
        this.x = x;
        this.d = d;
        this.y = y;
    }
    static fromJson(jwk) {
        return new Jwk(jwk);
    }
    static fromString(str) {
        return new Jwk(JSON.parse(str));
    }
    toUint8Array() {
        return Uint8Array.from(buffer_1.Buffer.from(JSON.stringify(this)));
    }
}
exports.Jwk = Jwk;
//# sourceMappingURL=Jwk.js.map