"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.keyBackendToString = exports.keyBackendFromString = exports.KeyBackend = void 0;
const error_1 = require("../error");
var KeyBackend;
(function (KeyBackend) {
    KeyBackend["Software"] = "software";
    KeyBackend["SecureElement"] = "secure_element";
})(KeyBackend || (exports.KeyBackend = KeyBackend = {}));
const keyBackendFromString = (backend) => {
    const keyAlg = Object.entries(KeyBackend).find(([, value]) => value === backend);
    if (keyAlg)
        return keyAlg[1];
    throw error_1.AskarError.customError({ message: `backend: ${backend} is not supported!` });
};
exports.keyBackendFromString = keyBackendFromString;
const keyBackendToString = (alg) => {
    const keyAlg = Object.entries(KeyBackend).find(([key]) => key === alg);
    if (keyAlg)
        return keyAlg[0];
    throw error_1.AskarError.customError({ message: `backend: ${alg} is not supported!` });
};
exports.keyBackendToString = keyBackendToString;
//# sourceMappingURL=KeyBackend.js.map