"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleInvalidNullResponse = exports.AskarError = void 0;
class AskarError extends Error {
    constructor({ code, message }) {
        super(message !== null && message !== void 0 ? message : 'No message provided from Askar');
        this.code = code;
    }
    static customError({ message }) {
        return new AskarError({ message, code: 100 });
    }
}
exports.AskarError = AskarError;
function handleInvalidNullResponse(response) {
    if (response === null) {
        throw AskarError.customError({ message: 'Invalid response. Expected value but received null pointer' });
    }
    return response;
}
exports.handleInvalidNullResponse = handleInvalidNullResponse;
//# sourceMappingURL=error.js.map