import type { EntryListHandle } from '../crypto';
export type EntryObject = {
    name: string;
    value: Record<string, unknown> | string;
    tags: Record<string, unknown>;
    category: string;
};
export declare class Entry {
    private _list;
    private _pos;
    constructor({ list, position }: {
        list: EntryListHandle;
        position: number;
    });
    get category(): string;
    get name(): string;
    get value(): string;
    private get rawValue();
    get tags(): Record<string, unknown>;
    toJson(shouldParseValueToJson?: boolean): EntryObject;
}
