"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Entry = void 0;
const buffer_1 = require("buffer");
class Entry {
    constructor({ list, position }) {
        this._list = list;
        this._pos = position;
    }
    get category() {
        return this._list.getCategory(this._pos);
    }
    get name() {
        return this._list.getName(this._pos);
    }
    get value() {
        return buffer_1.Buffer.from(this.rawValue).toString();
    }
    get rawValue() {
        return this._list.getValue(this._pos);
    }
    get tags() {
        const tags = this._list.getTags(this._pos);
        if (!tags)
            return {};
        return JSON.parse(tags);
    }
    toJson(shouldParseValueToJson = false) {
        return {
            name: this.name,
            value: shouldParseValueToJson ? JSON.parse(this.value) : this.value,
            tags: this.tags,
            category: this.category,
        };
    }
}
exports.Entry = Entry;
//# sourceMappingURL=Entry.js.map