"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EntryList = void 0;
const askar_1 = require("../askar");
const Entry_1 = require("./Entry");
class EntryList {
    constructor({ handle, length }) {
        this._length = 0;
        this._handle = handle;
        this._length = length || askar_1.askar.entryListCount({ entryListHandle: handle });
    }
    get handle() {
        return this._handle;
    }
    get length() {
        return this._length;
    }
    getEntryByIndex(index) {
        return new Entry_1.Entry({ list: this.handle, position: index });
    }
    forEachEntry(cb) {
        for (let i = 0; i < this.length; i++) {
            cb(this.getEntryByIndex(i), i);
        }
    }
    find(cb) {
        for (let i = 0; i < this.length; i++) {
            const item = this.getEntryByIndex(i);
            if (cb(item))
                return item;
        }
    }
    toArray(valuesAreJson) {
        const list = [];
        this.forEachEntry((entry) => list.push(entry.toJson(valuesAreJson)));
        return list;
    }
}
exports.EntryList = EntryList;
//# sourceMappingURL=EntryList.js.map