import type { KeyEntryListHandle } from '../crypto';
import { Key } from '../crypto';
export type KeyEntryObject = {
    algorithm: string;
    name: string;
    metadata: string | null;
    tags: Record<string, unknown>;
    key: Key;
};
export declare class KeyEntry {
    private _list;
    private _pos;
    constructor({ list, pos }: {
        list: KeyEntryListHandle;
        pos: number;
    });
    get algorithm(): string;
    get name(): string;
    get metadata(): string | null;
    get tags(): Record<string, unknown>;
    get key(): Key;
    toJson(): KeyEntryObject;
}
