"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.KeyEntry = void 0;
const crypto_1 = require("../crypto");
class KeyEntry {
    constructor({ list, pos }) {
        this._list = list;
        this._pos = pos;
    }
    get algorithm() {
        return this._list.getAlgorithm(this._pos);
    }
    get name() {
        return this._list.getName(this._pos);
    }
    get metadata() {
        const metadata = this._list.getMetadata(this._pos);
        return metadata;
    }
    get tags() {
        const tags = this._list.getTags(this._pos);
        if (!tags)
            return {};
        return JSON.parse(tags);
    }
    get key() {
        return new crypto_1.Key(this._list.loadKey(this._pos));
    }
    toJson() {
        return {
            algorithm: this.algorithm,
            name: this.name,
            metadata: this.metadata,
            tags: this.tags,
            key: this.key,
        };
    }
}
exports.KeyEntry = KeyEntry;
//# sourceMappingURL=KeyEntry.js.map