"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.KeyEntryList = void 0;
const askar_1 = require("../askar");
const KeyEntry_1 = require("./KeyEntry");
class KeyEntryList {
    constructor({ handle }) {
        this._len = 0;
        this._handle = handle;
        this._len = askar_1.askar.keyEntryListCount({ keyEntryListHandle: handle });
    }
    get handle() {
        return this._handle;
    }
    get length() {
        return this._len;
    }
    getEntryByIndex(index) {
        return new KeyEntry_1.KeyEntry({ list: this.handle, pos: index });
    }
    forEachKeyEntry(cb) {
        for (let i = 0; i < this.length; i++) {
            cb(this.getEntryByIndex(i), i);
        }
    }
    toArray() {
        const list = [];
        this.forEachKeyEntry((key) => list.push(key.toJson()));
        return list;
    }
}
exports.KeyEntryList = KeyEntryList;
//# sourceMappingURL=KeyEntryList.js.map