"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OpenSession = void 0;
const askar_1 = require("../askar");
const error_1 = require("../error");
const Session_1 = require("./Session");
class OpenSession {
    constructor({ store, isTxn, profile }) {
        this.store = store;
        this.isTxn = isTxn;
        this.profile = profile;
    }
    async open() {
        if (!this.store)
            throw error_1.AskarError.customError({ message: 'Cannot start session from closed store' });
        if (this.session)
            throw error_1.AskarError.customError({ message: 'Session already opened' });
        const sessionHandle = await askar_1.askar.sessionStart({
            profile: this.profile,
            asTransaction: this.isTxn,
            storeHandle: this.store,
        });
        return new Session_1.Session({ isTxn: this.isTxn, handle: sessionHandle });
    }
}
exports.OpenSession = OpenSession;
//# sourceMappingURL=OpenSession.js.map