import type { ScanHandle } from '../crypto';
import type { EntryObject } from './Entry';
import type { Store } from './Store';
export declare class Scan {
    private _handle?;
    private _listHandle?;
    private store;
    private profile?;
    private category;
    private tagFilter?;
    private offset?;
    private limit?;
    private orderBy?;
    private descending?;
    constructor({ store, category, limit, offset, profile, tagFilter, orderBy, descending, }: {
        store: Store;
        profile?: string;
        category: string;
        tagFilter?: Record<string, unknown>;
        offset?: number;
        limit?: number;
        orderBy?: string;
        descending?: boolean;
    });
    get handle(): ScanHandle | undefined;
    private forEachRow;
    fetchAll(): Promise<EntryObject[]>;
}
